Bug 113275 - Last line drop down and expand single word check box should only be show active for Justified
Summary: Last line drop down and expand single word check box should only be show acti...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Paragraph-Dialog
  Show dependency treegraph
 
Reported: 2017-10-19 19:32 UTC by Jim Raykowski
Modified: 2018-02-07 19:04 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot of paragraph alignment tab (53.21 KB, image/png)
2017-10-19 19:32 UTC, Jim Raykowski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Raykowski 2017-10-19 19:32:44 UTC
Created attachment 137124 [details]
screenshot of paragraph alignment tab

In Paragraph Dialog Align Tab 'Last line' drop down and 'Expand single word' check box are only meaningful when 'Justified' radio button is selected but remain enabled after 'Text direction' is changed.

Steps to reproduce bug -

1) Format->Paragraph... Alignment Tab
2) click Justified radio button
3) select Justified in Last line drop down
3) select Left-to-right (LTR) or Right-to-Left (RTL) in Text direction drop down

expected behavior: Last line fixed text and drop down and Expand single word check box disable

current behavior: remain enabled
Comment 1 Dieter Praas 2017-10-19 19:49:46 UTC
I confirm this bug.

Version: 6.0.0.0.alpha0+ (x64)
Build ID: 465092047d5fa6ec6dd369372e712d76554570ff
CPU threads: 4; OS: Windows 6.19; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2017-09-26_23:16:01
Locale: de-DE (de_DE); Calc: group
Comment 2 Yousuf Philips (jay) (retired) 2017-10-20 17:14:11 UTC
The correct solution is that if alignment is center or justified and text direction is changed, it shouldnt switch the radio button, as the problem still happens without doing step 3 of changing last line to justified.

Maxim, Heiko, Stuart: thoughts?
Comment 3 Jim Raykowski 2017-10-21 00:11:12 UTC
I have set the patch for this to -1. Will amend on confirmation of correct behavior.
Comment 4 Xisco Faulí 2018-02-05 11:15:14 UTC
(In reply to Jim Raykowski from comment #3)
> I have set the patch for this to -1. Will amend on confirmation of correct
> behavior.

Hi Jim,
Which patch is it?
OTOH, why the bug was set to RESOLVED FIXED?
Comment 5 Jim Raykowski 2018-02-05 13:33:13 UTC
(In reply to Xisco Faulí from comment #4)
> (In reply to Jim Raykowski from comment #3)
> > I have set the patch for this to -1. Will amend on confirmation of correct
> > behavior.
> 
> Hi Jim,
> Which patch is it?
> OTOH, why the bug was set to RESOLVED FIXED?

Hi Xisco
This was part of a multi fix patch listed under bug 107567 all having to do with the paragraph dialog Alignment and Indents & Spacing tabs. 
https://gerrit.libreoffice.org/#/c/45273/
Comment 6 Xisco Faulí 2018-02-07 19:04:05 UTC
Great, Thanks for the patch